Debian Bug report logs - #608224
ITP: haskell-dbus -- Haskell bindings for D-Bus API

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Rafael Cunha de Almeida <rafael@kontesti.me>

Date: Tue, 28 Dec 2010 21:30:01 UTC

Owned by: John Millikin <jmillikin@gmail.com>

Severity: wishlist

Merged with 678701

Fixed in version haskell-dbus/0.10-1

Done: John Millikin <jmillikin@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#608224; Package wnpp. (Tue, 28 Dec 2010 21:30:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rafael Cunha de Almeida <rafael@kontesti.me>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org. (Tue, 28 Dec 2010 21:30:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Rafael Cunha de Almeida <rafael@kontesti.me>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: haskell-dbus -- Haskell bindings for D-Bus API
Date: Tue, 28 Dec 2010 19:27:57 -0200
Package: wnpp
Severity: wishlist
Owner: Rafael Cunha de Almeida <rafael@kontesti.me>


* Package name    : haskell-dbus
  Version         : 0.4
  Upstream Author : Evan Martin <martine@danga.com>, David Himmelstrup <lemmih@gmail.com>
* URL             : http://hackage.haskell.org/package/DBus
* License         : BSD
  Programming Lang: Haskell
  Description     : Haskell bindings for D-Bus API

 This package provides a library for the Haskell programming language.
 See http://www.haskell.org/ for more information on Haskell.

 This package provides a haskell interface to the C D-Bus library.

 D-Bus is a message bus, used for sending messages between applications.
 Conceptually, it fits somewhere between raw sockets and CORBA in terms
 of complexity. For more details on D-Bus, see the D-Bus wiki at
 http://www.freedesktop.org/wiki/Software/dbus




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#608224; Package wnpp. (Tue, 28 Dec 2010 21:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rafael Cunha de Almeida <rafael@kontesti.me>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 28 Dec 2010 21:51:03 GMT) Full text and rfc822 format available.

Message #10 received at 608224@bugs.debian.org (full text, mbox):

From: Rafael Cunha de Almeida <rafael@kontesti.me>
To: debian-haskell@lists.debian.org
Cc: 608224@bugs.debian.org
Subject: ITP: haskell-dbus -- Haskell bindings for D-Bus API
Date: Tue, 28 Dec 2010 19:48:46 -0200
Hello haskell people,

I needed this package for setting up xmonad with xmonad-log-panel.
Unfortunately, I didn't find it on debian. I've heard from other people
in #haskell @ freenode.com that they too needed the package for one
reason or another. So I wrote this ITP:

	http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=608224

I have done the packaging, now I need to be added to dhg so I can

	darcs put darcs.debian.org:/darcs/pkg-haskell/haskell-dbus

in order for you to review and upload it. I created an account at
alioth, my login is almeida-guest.

In retrospect I should have CCed to this list when I posted the ITP. So
I'm CCing the bug here.

BTW, I'm currently maintaining one package, if that's at all relevant:

	http://qa.debian.org/developer.php?login=rafael@kontesti.me

[]'s
Rafael




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Rafael Cunha de Almeida <rafael@kontesti.me>:
Bug#608224; Package wnpp. (Wed, 29 Dec 2010 08:57:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joachim Breitner <nomeata@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Rafael Cunha de Almeida <rafael@kontesti.me>. (Wed, 29 Dec 2010 08:57:03 GMT) Full text and rfc822 format available.

Message #15 received at 608224@bugs.debian.org (full text, mbox):

From: Joachim Breitner <nomeata@debian.org>
To: Rafael Cunha de Almeida <rafael@kontesti.me>
Cc: debian-haskell@lists.debian.org, 608224@bugs.debian.org
Subject: Re: ITP: haskell-dbus -- Haskell bindings for D-Bus API
Date: Wed, 29 Dec 2010 14:24:45 +0530
[Message part 1 (text/plain, inline)]
Hi Rafael,

Am Dienstag, den 28.12.2010, 19:48 -0200 schrieb Rafael Cunha de Almeida:
> I have done the packaging,

great

>  now I need to be added to dhg so I can
> 
> 	darcs put darcs.debian.org:/darcs/pkg-haskell/haskell-dbus
> 
> in order for you to review and upload it. I created an account at
> alioth, my login is almeida-guest.

Added. Sounds like you already discovered and read
http://wiki.debian.org/Haskell/CollabMaint/Processes
and
http://wiki.debian.org/Haskell/CollabMaint/DarcsBasic

Please subscribe to d-haskell, if you haven’t done that already, so that
we don’t have to CC you and that you are aware of any collective DHG
action.

> BTW, I'm currently maintaining one package, if that's at all relevant:

It’s a bit relevant. It means that we can expect some packaging
experience, and don’t need to hold introductory talks here :-)

Greetings,
Joachim

-- 
Joachim "nomeata" Breitner
Debian Developer
  nomeata@debian.org | ICQ# 74513189 | GPG-Keyid: 4743206C
  JID: nomeata@joachim-breitner.de | http://people.debian.org/~nomeata
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Rafael Cunha de Almeida <rafael@kontesti.me>:
Bug#608224; Package wnpp. (Wed, 29 Dec 2010 19:51:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rafael Cunha de Almeida <rafael-lists@kontesti.me>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Rafael Cunha de Almeida <rafael@kontesti.me>. (Wed, 29 Dec 2010 19:51:07 GMT) Full text and rfc822 format available.

Message #20 received at 608224@bugs.debian.org (full text, mbox):

From: Rafael Cunha de Almeida <rafael-lists@kontesti.me>
To: debian-haskell@lists.debian.org
Cc: 608224@bugs.debian.org
Subject: Re: ITP: haskell-dbus -- Haskell bindings for D-Bus API
Date: Wed, 29 Dec 2010 17:47:31 -0200
On Wed, Dec 29, 2010 at 02:24:45PM +0530, Joachim Breitner wrote:
> Hi Rafael,
> 
> Am Dienstag, den 28.12.2010, 19:48 -0200 schrieb Rafael Cunha de Almeida:
> > I have done the packaging,
> 
> great
> 
> >  now I need to be added to dhg so I can
> > 
> > 	darcs put darcs.debian.org:/darcs/pkg-haskell/haskell-dbus
> > 
> > in order for you to review and upload it. I created an account at
> > alioth, my login is almeida-guest.
> 
> Added.

Thanks :-)

> Sounds like you already discovered and read
> http://wiki.debian.org/Haskell/CollabMaint/Processes
> and
> http://wiki.debian.org/Haskell/CollabMaint/DarcsBasic

Yes, Marco Tulio have pointed me to those.

> Please subscribe to d-haskell, if you haven’t done that already, so that
> we don’t have to CC you and that you are aware of any collective DHG
> action.

Alright, I'm already subscribing it. I've created the new package at:

	darcs.debian.org:/darcs/pkg-haskell/haskell-dbus

[]'s
Rafael




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Rafael Cunha de Almeida <rafael@kontesti.me>:
Bug#608224; Package wnpp. (Thu, 30 Dec 2010 06:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rafael Cunha de Almeida <rafael-lists@kontesti.me>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Rafael Cunha de Almeida <rafael@kontesti.me>. (Thu, 30 Dec 2010 06:33:03 GMT) Full text and rfc822 format available.

Message #25 received at 608224@bugs.debian.org (full text, mbox):

From: Rafael Cunha de Almeida <rafael-lists@kontesti.me>
To: debian-haskell@lists.debian.org
Cc: 608224@bugs.debian.org
Subject: Re: ITP: haskell-dbus -- Haskell bindings for D-Bus API
Date: Thu, 30 Dec 2010 04:29:39 -0200
On Wed, Dec 29, 2010 at 05:47:31PM -0200, Rafael Cunha de Almeida wrote:
> On Wed, Dec 29, 2010 at 02:24:45PM +0530, Joachim Breitner wrote:
> > Please subscribe to d-haskell, if you haven’t done that already, so that
> > we don’t have to CC you and that you are aware of any collective DHG
> > action.
> 
> Alright, I'm already subscribing it. I've created the new package at:
> 
> 	darcs.debian.org:/darcs/pkg-haskell/haskell-dbus

I think I didn't set up the commit hooks correctly yet, sorry :-(. You
probably hadn't look at the code yet; but just fyi, I found a problem in
the initial version, so I fixed it. I don't have that much experience
with cabal building system, so it took my a while until I've found the
proper solution.

The thing was that Setup.hs was wrong, it used defaultMain when it
should have used defaultMainWithHooks. Fixing that is much better than
what I had previously. What's odd is that cabal-install copes with the
wrong setup and lack of version in base dependency, that's probably the
reason upstream didn't find those problems.

[]'s
Rafael




Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Sat, 01 Jan 2011 19:06:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Rafael Cunha de Almeida <rafael@kontesti.me>:
Bug#608224; Package wnpp. (Wed, 27 Jul 2011 16:38:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Rafael Cunha de Almeida <rafael@kontesti.me>. (Wed, 27 Jul 2011 16:38:08 GMT) Full text and rfc822 format available.

Message #32 received at 608224@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 608224@bugs.debian.org
Cc: control@bugs.debian.org
Subject: haskell-dbus: changing back from ITP to RFP
Date: Wed, 27 Jul 2011 18:02:34 +0200
retitle 608224 RFP: haskell-dbus -- Haskell bindings for D-Bus API
noowner 608224
thanks

Hi,

This is an automatic email to change the status of haskell-dbus back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 6 months.

If you are still interested in adopting haskell-dbus, please send a mail to
<control@bugs.debian.org> with:

 retitle 608224 ITP: haskell-dbus -- Haskell bindings for D-Bus API
 owner 608224 !
 thanks

However, it is not recommended to keep ITP for a long time without acting on
the package, as it might cause other prospective maintainers to refrain from
packaging that software. It is also a good idea to document your progress on
this ITP from time to time, by mailing <608224@bugs.debian.org>.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>




Changed Bug title to 'RFP: haskell-dbus -- Haskell bindings for D-Bus API' from 'ITP: haskell-dbus -- Haskell bindings for D-Bus API' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Wed, 27 Jul 2011 16:54:16 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Rafael Cunha de Almeida <rafael@kontesti.me>. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Wed, 27 Jul 2011 16:54:16 GMT) Full text and rfc822 format available.

Removed tag(s) pending. Request was from Raphael Geissert <geissert@debian.org> to control@bugs.debian.org. (Wed, 11 Jan 2012 20:33:05 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITP: haskell-dbus -- Haskell bindings for D-Bus API' from 'RFP: haskell-dbus -- Haskell bindings for D-Bus API' Request was from Bart Martens <bartm@debian.org> to control@bugs.debian.org. (Sun, 24 Jun 2012 17:33:08 GMT) Full text and rfc822 format available.

Owner recorded as John Millikin <jmillikin@gmail.com>. Request was from Bart Martens <bartm@debian.org> to control@bugs.debian.org. (Sun, 24 Jun 2012 17:33:08 GMT) Full text and rfc822 format available.

Merged 608224 678701 Request was from Bart Martens <bartm@debian.org> to control@bugs.debian.org. (Sun, 24 Jun 2012 17:33:09 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Thu, 28 Jun 2012 20:06:08 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 28 Jul 2012 07:25:49 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 16:41:11 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.